<?php session_start();
include ('../inc/dbcon.php');
include ('../inc/functions.php');
include ('../inc/imgpro.php');
if(isset($_SESSION["axeslogin"]) && $_SESSION["axeslogin"] == true){
get_pagesecurity('36','views','R');    
$_SESSION['cuPages']='payr_emplist.php';   
$cuPage='payr_emplist.php';    
$aid=$_SESSION['uid'];
$brid=$_SESSION['abrid'];    
}else{
header('Location:../index.php');
exit;    
}
$mhead='payroll';
$menuh='Payroll';
$phead='emplist';
$page='Employee';
$dtnow = date("Y-m-d h:i:s", time());
?>
<?php
include('../layout/head.php');
include('../layout/header.php');
include('../layout/side_nav.php');
?>
<?php 
if(isset($_POST['delemp'])){
$id=$_POST['delemp'];
if(delete_check('tbl_salarysheet','empid',$id)>0){
save_msg('w','Employee Depend On Other Table!!!');
echo "<script>window.location='payr_emplist.php'</script>";
return;    
}
$name= get_fild_data('tbl_employe',$id,'name');   
$sql="DELETE FROM tbl_employe WHERE id='$id'";
$query=mysqli_query($con,$sql)or die(mysqli_error($con));
$efid=mysqli_affected_rows($con);    
if($efid>0){    
$act =remove_junk(escape('Employee name: '.$name));    
write_activity($aid,'EMP','Employee has been deleted',$act);    
}    
save_msg('s','Employee Successfully Deleted!!!');
echo "<script>window.location='payr_emplist.php'</script>";
}
?>
<div class="content-wrapper">
<?php include('../layout/page_head.php'); ?>
<!-- Main content -->
<section class="content">
    
<div class="row">
<div class="col-md-8">
<div class="box box-solid">
<div class="box-header with-border">
<h3 class="box-title">Employee List</h3>
</div>
<div class="box-body">
<?php echo display_msg();?>    
<div class="col-md-12 table-responsive">
<table class="table table-bordered table-striped" id="datarec">
<thead>
<tr>
<th style="width:40px;">SN</th>
<th>Image</th>    
<th>Id No</th>    
<th>Name</th>    
<th>Designation</th>
<th>Department</th>
<th>Work Place</th>    
<th>Mobile</th>
<th>Email</th>
<th>Salary</th>    
<th style="width:40px; text-align:center;">Action</th>    
</tr>
</thead>    
<tbody>
<?php
$sql="SELECT * FROM tbl_employe ORDER BY name DESC";    
$query=mysqli_query($con,$sql)or die(mysqli_error($con));
while ($row=mysqli_fetch_array($query)){
$id=$row['id'];
?>
<tr>
<td class="center"><?php echo count_id();?></td>
<td><img class="user-img img-circle" src="../img/emp/<?php if(empty($row['image'])) {echo "demp.jpg";}else{echo $row['image'];} ?>" height="45px" width="45px"></td>
<td><?php echo $row['code'];?></td>
<td><?php echo $row['name'];?></td>
<td><?php echo get_fild_data('tbl_designation',$row['desid'],'name');?></td>
<td><?php echo get_fild_data('tbl_department',$row['dipid'],'name');?></td>
<td><?php if($row['wbrid']!=0){echo get_fild_data('tbl_branch',$row['wbrid'],'name');}else{echo 'No-Branch';}?></td>    
<td><?php echo $row['mobile'];?></td>
<td><?php echo $row['email'];?></td>    
<td><?php echo numtolocal($row['salary'],'');?></td>    
<td nowrap="">
<a class="btn btn-flat bg-purple" href="#" onclick="edit_item('ED_<?php echo $row['id'];?>')"><i class="fa fa-edit"></i></a> 
<a class="btn btn-flat bg-purple" href="#" onclick="remove_item('DL_<?php echo $row['id'];?>')"><i class="fa fa-trash"></i></a>
<form action="payr_emplist.php" id="DL_<?php echo $row['id'];?>" method="post" >
<input type="hidden" name="delemp" value="<?php echo $row['id']; ?>" />
</form>
<form action="payr_empedit.php" id="ED_<?php echo $row['id'];?>" method="post" >
<input type="hidden" name="editemp" value="<?php echo $row['id']; ?>" />
</form>    
</td>    
</tr>    
<?php } ?>    
</tbody>   
</table>
</div>
<div class="clearfix" ></div>  
<div class="row"style="margin-top: 15px" >
<div class="col-md-12 table-responsive">    
<div class="col-md-8"></div>
<div class="col-md-4 text-right" >
<a href="payr_empcreate.php" class="btn btn-flat bg-purple">Add Employee</a>
</div>
</div>    
</div>    
</div>
</div>
</div>
<div class="col-md-4">
<div class="row">
<div class="col-md-12">
<div class="box box-solid">
<div class="box-header">
<h3 class="box-title">History </h3>
</div>
<!-- /.box-header -->
<div class="box-body" >
<?php if($_SESSION['access']=='1'){echo read_activity($aid,'EMP','A');}else{echo read_activity($aid,'EMP','U');}?>
</div>
</div>
</div>
</div>
</div>
</div>

<?php include('../layout/quick.php');?>     
</section>
<!-- /.main content -->    
</div>

<?php 
include('../layout/footer.php');
?>
<!-- page script -->
<script type="text/javascript">
$(document).ready(function() {
$('#datarec').DataTable({stateSave: true});
} );
function edit_item(id) {
   document.getElementById(id).submit(); 
}
function remove_item(id) {
        bootbox.confirm({
            title: "Confirm",
            message: "Are you sure to delete ?",
            buttons: {
                confirm: {
                    label: 'Yes',
                    className: 'btn-flat bg-purple'
                },
                cancel: {
                    label: 'Cancel',
                    className: 'btn-flat bg-gray'
                }
            },
            callback: function (result) {
                if (result == true) {
                    document.getElementById(id).submit();
                }
            }
        });

    }
</script>    
<!-- /page script -->
</html>    